<?php

/**
 * CS-Cart Advanced RMA - ec_advanced_rma
 * 
 * PHP version 8.1
 * 
 * @category  Add-on
 * @package   CS_Cart
 * @author    Ecarter Technologies Private Limited <support@ecarter.co>
 * @copyright 2021 Ecarter Technologies Private Limited
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

if (!defined('BOOTSTRAP')) {
    die('Access denied');
}

use Tygh\Registry;

if ($mode == 'manage') {
    $params = $_REQUEST;
    $params['only_short_fields'] = true;
    $params['apply_disabled_filters'] = true;
    $params['extend'][] = 'companies';
    $params['ec_advanced_rma'] = true;
    [$products, $search] = fn_get_products($params, Registry::get('settings.Appearance.admin_elements_per_page'), DESCR_SL);
    fn_gather_additional_products_data($products, ['get_icon' => true, 'get_detailed' => true, 'get_options' => false, 'get_discounts' => false]);
    Tygh::$app['view']->assign('products', $products);
    Tygh::$app['view']->assign('search', $search);
}
