{$image_width = $settings.Thumbnails.product_admin_mini_icon_width}
{$image_height = $settings.Thumbnails.product_admin_mini_icon_height}
{capture name="mainbox"}
        {$c_url = $config.current_url|fn_query_remove:"sort_by":"sort_order"}
        {$rev = $smarty.request.content_id|default:"pagination_contents_damaged_product"}
        {include file="common/pagination.tpl" save_current_page=true save_current_url=true div_id="pagination_contents_damaged_product"}
        {if $products}
                <div class="table-responsive-wrapper longtap-selection">
                    <table class="table table-middle table--relative table-responsive">
                        <thead data-ca-bulkedit-default-object="true" data-ca-bulkedit-component="defaultObject">
                            <tr>
                                <th width="10%" class="table__column-without-title"></th>
                                <th width="50%"> <div class="th-text-overflow th-text-overflow-wrapper">
                                {include file="common/table_col_head.tpl" type="product" text=__("name")}</div><th>
                                <th width="20%">{__("ec_advanced_rma.damaged_quantity")}</th>
                                <th width="20%">{__("ec_advanced_rma.partially_damaged_quantity")}</th>
                            </tr>
                        </thead>

                        {foreach from=$products item=product}
                            <tr class="cm-row-status cm-longtap-target">
                                <td width="10%" class="products-list__image">
                                {include
                                file="common/image.tpl"
                                image=$product.main_pair.icon|default:$product.main_pair.detailed
                                image_id=$product.main_pair.image_id
                                image_width=$image_width
                                image_height=$image_height
                                href="products.update?product_id=`$product.product_id`"|fn_url
                                image_css_class="products-list__image--img"
                                link_css_class="products-list__image--link"
                                }
                                </td>
                                <td width="50%" class="product-name-column wrap-word" data-th="{__("name")}">
                                   <input type="hidden" name="products_data[{$product.product_id}][product]" value="{$product.product}" {if $no_hide_input_if_shared_product} class="{$no_hide_input_if_shared_product}"{/if} />
                                   <a class="row-status link--monochrome" href="{"products.update?product_id=`$product.product_id`"|fn_url}">{$product.product nofilter}</a>
                                   <div class="product-list__labels muted">
                                     {if $product.product_code}
                                       <div class="product-code">
                                         <span class="product-code__label">{$product.product_code}</span>
                                       </div>
                                      {/if}
                                   <div class="product-list__company-name-wrapper inline-block-basic">
                                    {include file="views/companies/components/company_name.tpl"
                                        object=$product
                                        class="inline-block-basic"
                                        assign="company_name"
                                    }
                                    {if $show_company_name}
                                        <span>•</span>
                                        {$company_name nofilter}
                                    {/if}
                                    </div>
                                   </div>
                                </td>
                                <td></td>
                                <td width="20%" data-th="{__("ec_advanced_rma.damaged_quantity")}">
                                    {$product.damaged_quantity}
                                </td>
                                <td width="20%" data-th="{__("ec_advanced_rma.partially_damaged_quantity")}">
                                    {$product.partially_damaged_quantity}
                                </td>
                            </tr>
                        {/foreach}
                    </table>
                </div>

        {else}
            <p class="no-items">{__("no_data")}</p>
        {/if}
        {include file="common/pagination.tpl" div_id="pagination_contents_damaged_product"}
{/capture}


{$page_title = __("ec_advanced_rma.damaged_product")}
{$select_languages = true}


{capture name="sidebar"}
    {include file="common/saved_search.tpl" dispatch="ec_damaged_product.manage" view_type="damaged_product"}
    {include file="addons/ec_advanced_rma/views/ec_damaged_product/components/damaged_product_search_form.tpl"         
            search=$search}
{/capture}


{include file="common/mainbox.tpl" title=$page_title content=$smarty.capture.mainbox select_languages=$select_languages  sidebar=$smarty.capture.sidebar}
